Loading...
Searching...
No Matches
pw_registry_methods Struct Reference
Core API » Registry

Registry methods. More...

`#include <pipewire/core.h>`

## Data Fields

uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_registry_events *events, void *data)
void *(* | bind )(void *object, uint32_t id, const char *type, uint32_t version, size_t use_data_size)
| Bind to a global object.
int(* | destroy )(void *object, uint32_t id)
| Attempt to destroy a global object.

## Detailed Description

Registry methods.

## Field Documentation

## version

uint32_t pw_registry_methods::version

## add_listener

int(* pw_registry_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_registry_events *events, void *data)

## bind

void *(* pw_registry_methods::bind) (void *object, uint32_t id, const char *type, uint32_t version, size_t use_data_size)

Bind to a global object.

Bind to the global object with id and use the client proxy with new_id as the proxy. After this call, methods can be send to the remote global object and events can be received

Parameters

  id | the global id to bind to
  type | the interface type to bind to
  version | the interface version to use

Returns
  the new object

## destroy

int(* pw_registry_methods::destroy) (void *object, uint32_t id)

Attempt to destroy a global object.

Try to destroy the global object.

Parameters

  id | the global id to destroy. The client needs X permissions on the global.

The documentation for this struct was generated from the following file:

- pipewire/core.h